﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:vm="clr-namespace:RetroGames.ViewModels"
             xmlns:me="clr-namespace:RetroGames.MarkupExtensions"
             x:Class="RetroGames.Views.ConsolesView"
             
             >
    <ContentPage.BindingContext>
        <vm:ConsolesViewModel>
            
        </vm:ConsolesViewModel>
    </ContentPage.BindingContext>
    <AbsoluteLayout>
        <Image x:Name="Im" 
            AbsoluteLayout.LayoutFlags="All" 
                   AbsoluteLayout.LayoutBounds="0,0,1,1"
                   Aspect="AspectFill"
                   Source="{me:FromRessource RetroGames.Images.bg.jpg}"
               >
        </Image>
        <!--<ActivityIndicator
            AbsoluteLayout.LayoutBounds="0,0,1,1"
            AbsoluteLayout.LayoutFlags="All"
            IsRunning="{Binding 
                Source={x:Reference Im}, 
                Path=IsLoading}"
            
            />-->


        <StackLayout AbsoluteLayout.LayoutFlags="All"
                     AbsoluteLayout.LayoutBounds="0,0,1,1">

            <Button Text="Ajouter Une Console" Command="{Binding AddConsoleCommand}"/>
            <Button Text="Ajouter Un Jeu" Command="{Binding AddGameCommand}"/>
            <ListView ItemsSource="{Binding Items}">
                <ListView.ItemTemplate>
                    <DataTemplate>
                        <ViewCell>
                            <StackLayout>
                                <Label TextColor="White" 
                                       Text="{Binding Name}"/>
                            </StackLayout>
                            <ViewCell.ContextActions>
                                <MenuItem Text="Modifier" 
                                      Command="{Binding UpdateConsoleCommand}" 
                                      />
                                <MenuItem Text="Supprimer" 
                                      Command="{Binding DeleteConsoleCommand}"  
                                      IsDestructive="True"/>
                            </ViewCell.ContextActions>
                        </ViewCell>
                    </DataTemplate>
                </ListView.ItemTemplate>
            </ListView>
        </StackLayout>
    </AbsoluteLayout>
    
</ContentPage>